<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__ezi2c__slave__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_ezi2c_slave_cfg_t</compoundname>
    <includes local="no">cyhal_ezi2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__ezi2c__slave__cfg__t_1ab00e8f466048660368420dea9ff18346" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_ezi2c_slave_cfg_t::slave_address</definition>
        <argsstring />
        <name>slave_address</name>
        <briefdescription>
<para>The 7-bit right justified primary slave address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="146" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="146" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__slave__cfg__t_1a68a95c0eac422be405ebee6815cead4e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cyhal_ezi2c_slave_cfg_t::buf</definition>
        <argsstring />
        <name>buf</name>
        <briefdescription>
<para>A pointer to the data buffer for the primary/secondary slave address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="148" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="148" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__slave__cfg__t_1aabb87053d865a60cd6cd5e6ce3a75b7d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_ezi2c_slave_cfg_t::buf_size</definition>
        <argsstring />
        <name>buf_size</name>
        <briefdescription>
<para>The size of the buffer assigned to the primary/secondary slave address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="150" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="150" />
      </memberdef>
      <memberdef id="structcyhal__ezi2c__slave__cfg__t_1ab1c5d2eea1cb45b5ff66c7ecdaf38cec" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_ezi2c_slave_cfg_t::buf_rw_boundary</definition>
        <argsstring />
        <name>buf_rw_boundary</name>
        <briefdescription>
<para>The Read/Write boundary within the buffer assigned to the primary/secondary slave address. </para>        </briefdescription>
        <detaileddescription>
<para>This specifies the number of data bytes from the beginning of the buffer with read and write access for the master. Data bytes at this value or greater are read only by the master </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="155" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="155" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Initial EZI2C sub configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="156" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="143" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="144" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__ezi2c__slave__cfg__t_1a68a95c0eac422be405ebee6815cead4e" virt="non-virtual"><scope>cyhal_ezi2c_slave_cfg_t</scope><name>buf</name></member>
      <member prot="public" refid="structcyhal__ezi2c__slave__cfg__t_1ab1c5d2eea1cb45b5ff66c7ecdaf38cec" virt="non-virtual"><scope>cyhal_ezi2c_slave_cfg_t</scope><name>buf_rw_boundary</name></member>
      <member prot="public" refid="structcyhal__ezi2c__slave__cfg__t_1aabb87053d865a60cd6cd5e6ce3a75b7d" virt="non-virtual"><scope>cyhal_ezi2c_slave_cfg_t</scope><name>buf_size</name></member>
      <member prot="public" refid="structcyhal__ezi2c__slave__cfg__t_1ab00e8f466048660368420dea9ff18346" virt="non-virtual"><scope>cyhal_ezi2c_slave_cfg_t</scope><name>slave_address</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>